<?php
namespace Claromentis\Core\DAL\Interfaces;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array();




interface QueryLogInterface
{
    
    
    
    
    public function ClearQueryLog();
    
    
    
    
    public function DisableQueryLog();
    
    
    
    
    public function EnableQueryLog();
    
    
    
    
    
    
    public function IsLogging() : bool;
    
    
    
    
    
    
    public function GetQueryLog() : array;
}